Bug 261317 - www/py-django-bitfield: Update to 2.1.0
Summary: www/py-django-bitfield: Update to 2.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/disqus/django-bitf...
Keywords:
Depends on:
Blocks: 261313
  Show dependency treegraph
 
Reported: 2022-01-18 19:11 UTC by Kai Knoblich
Modified: 2022-01-21 19:15 UTC (History)
1 user (show)

See Also:
rm: maintainer-feedback+
rm: merge-quarterly+


Attachments
py-django-bitfield-2.1.0.patch (929 bytes, patch)
2022-01-18 19:11 UTC, Kai Knoblich
kai: maintainer-approval? (rm)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2022-01-18 19:11:51 UTC
Created attachment 231138 [details]
py-django-bitfield-2.1.0.patch

Hi Ruslan,

attached is a patch that updates www/py-django-bitfield to 2.1.0.  The patch should MFH'ed as well as the new release adds support for Python 3.8 + 3.9 and fixes some bugs .

Changelog:

* Add support for Django 3.1, 3.2 (No changes needed).
* Add support for Python 3.8, 3.9.
* Fixed multiple bugs with use in the Django admin.
* Removed dead compatibility code.

QA:
~~~
- poudriere -> OK (12.2-RELEASE amd64 for py37, py38, py39, py310, py311)
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2022-01-19 08:55:00 UTC
Hello Kai. Thank you for the patch, please commit it! 

Would you also like to take up maintainership of this port? I don't actually use it anymore.
Comment 2 commit-hook freebsd_committer 2022-01-21 19:05:18 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1f812b94c835bfd7550110a8865b61efb051fe25

commit 1f812b94c835bfd7550110a8865b61efb051fe25
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2022-01-21 18:47:11 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2022-01-21 19:00:58 +0000

    www/py-django-bitfield: Update to 2.1.0

    Changelog:

    * Add support for Django 3.1, 3.2 (No changes needed).
    * Add support for Python 3.8, 3.9.
    * Fixed multiple bugs with use in the Django admin.
    * Removed dead compatibility code.

    PR:             261317
    Approved by:    rm (maintainer)
    MFH:            2022Q1

 www/py-django-bitfield/Makefile | 2 +-
 www/py-django-bitfield/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 3 commit-hook freebsd_committer 2022-01-21 19:09:20 UTC
A commit in branch 2022Q1 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f7e0a6bbf446f952b23d0a1f44542681a20b1339

commit f7e0a6bbf446f952b23d0a1f44542681a20b1339
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2022-01-21 18:47:11 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2022-01-21 19:06:39 +0000

    www/py-django-bitfield: Update to 2.1.0

    Changelog:

    * Add support for Django 3.1, 3.2 (No changes needed).
    * Add support for Python 3.8, 3.9.
    * Fixed multiple bugs with use in the Django admin.
    * Removed dead compatibility code.

    PR:             261317
    Approved by:    rm (maintainer)
    MFH:            2022Q1

    (cherry picked from commit 1f812b94c835bfd7550110a8865b61efb051fe25)

 www/py-django-bitfield/Makefile | 2 +-
 www/py-django-bitfield/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 4 Kai Knoblich freebsd_committer 2022-01-21 19:15:51 UTC
(In reply to Ruslan Makhmatkhanov from comment #1)

Committed and MFH'ed, thank for you approval and offer to transfer the maintainership to me.  

I've to pass regarding taking maintainership because I don't use the port at the moment. The update is a small part of the whole Django 2.2 to Django 3.2 switchover.

For the case if I should require the port for some projects I'd ping you as soon as possible.